Installation Guide
Pulse 4.1.x
Overview
Prerequisites
Installation
Advanced Installation
Admin UI (K8S only)
Pulse Administration
Upgrade
Advanced Feature Integrations
Troubleshooting
Title
Message
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Fetch Version Details
Summarize Page
Copy Markdown
Open in ChatGPT
Open in Claude
Connect to Cursor
Connect to VS Code
Use the Fetch Version Details API to retrieve the version and image tag of the Pulse deployment.
You can use this API to verify the deployed Pulse version or integrate version information into automation and deployment workflows.
Before invoking this API, authenticate with the Pulse server. For more information, see Authenticate with Pulse APIs.
Endpoint
Property | Value |
|---|---|
Method | POST |
Endpoint |
|
API Type | GraphQL |
Request
Run the following GraphQL query to retrieve the Pulse version.
query getPulseVersion {
getPulseVersion {
imageTag
version
}
}
Example Request
The following example invokes the API by using curl.
curl -X POST 'https://<pulse_url>/graphql' \
-H 'Content-Type: application/json' \
-b cookies.txt \
-H "role: $ROLE" \
-d '{
"query": "query getPulseVersion { getPulseVersion { imageTag version } }"
}'
Example Response
{
"data": {
"getPulseVersion": {
"imageTag": "4.x.x-xxxxxx",
"version": "4.x.x"
}
}
}
Response Fields
Field | Description |
|---|---|
| Specifies the Pulse image tag of the deployed version. |
| Specifies the Pulse product version. |
Last updated on
Was this page helpful?
Next to read:
Service APIsFor additional help, contact www.acceldata.force.com OR call our service desk +1 844 9433282
Copyright © 2026
Discard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message